Bug 1884000 - python3-bravado-core is not installable on rawhide due to missing dependencies
Summary: python3-bravado-core is not installable on rawhide due to missing dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-bravado-core
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1892882 (view as bug list)
Depends On: 1490151
Blocks: F33FailsToInstall 1878977 1854486 1884002
TreeView+ depends on / blocked
 
Reported: 2020-09-30 17:45 UTC by Miro Hrončok
Modified: 2020-11-19 01:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-19 01:28:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-09-30 17:45:36 UTC
As I've tried to point out in bz1878976, the package python3-bravado-core is not installable on rawhide due to missing dependencies:

nothing provides python3.9dist(jsonschema[format]) >= 2.5.1 needed by python3-bravado-core-5.17.0-1.fc34.noarch

I've attempted to fix this via https://src.fedoraproject.org/rpms/python-jsonschema/pull-request/6 but the change needed to be reverted becasue it let to bz1880820:

Error: 
 Problem: package python3-bravado-core-5.17.0-1.fc34.noarch requires python3.9dist(jsonschema[format]) >= 2.5.1, but none of the providers can be installed
  - conflicting requests
  - nothing provides python3.9dist(strict-rfc3339) needed by python3-jsonschema+format-3.2.0-6.fc34.noarch
  - nothing provides python3.9dist(jsonpointer) > 1.13 needed by python3-jsonschema+format-3.2.0-6.fc34.noarch


Please either filter out the dependency if it is not actually required or package the missing dependency and update jsonpointer.

Comment 1 Miro Hrončok 2020-10-08 11:30:16 UTC
Could you please respond? What is the plan wrt python3-bravado-core on rawhide?

Comment 2 Aurelien Bompard 2020-10-08 13:53:41 UTC
Hey, sorry for the delay. I'm not sure I understand what's going on. In Rawhide the automatically discovered dependency has changed from jsonschema to jsonschema[format], right? Indeed it seems more correct because that's the dependency that was set in setup.py. If I understand correctly some of the extra deps required by jsonschema[format] are not right: jsonpointer needs to be updated to 2.0 in F33 (it is already updated in F34), and python-strict-rfc3339 needs to be packaged. Does this seem correct?

Comment 3 Aurelien Bompard 2020-10-08 15:08:44 UTC
OK I've submitted a review request for the missing dep strict-3339: bz1886493

Comment 4 Miro Hrončok 2020-10-09 08:23:47 UTC
> In Rawhide the automatically discovered dependency has changed from jsonschema to jsonschema[format], right?

Indeed, that's the case. The Python -> RPM dependency generator could not understand jsonschema[format] yet in Fedora 32, so it ignored the [format] part. Since Fedora 33, this is no longer the case: https://fedoraproject.org/wiki/Changes/PythonExtras

> If I understand correctly some of the extra deps required by jsonschema[format] are not right: jsonpointer needs to be updated to 2.0 in F33 (it is already updated in F34), and python-strict-rfc3339 needs to be packaged. Does this seem correct?

Technically > 1.13, not necessarily 2.0. But otherwise correct, yes.

Once the dependencies are in order, jsonschema[format] can be reintroduced (I can take care of that).

Thanks.

Comment 5 Miro Hrončok 2020-10-29 19:29:25 UTC
*** Bug 1892882 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2020-11-10 16:22:09 UTC
FEDORA-2020-7064f058c4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7064f058c4

Comment 7 Fedora Update System 2020-11-11 02:20:14 UTC
FEDORA-2020-7064f058c4 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7064f058c4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7064f058c4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Miro Hrončok 2020-11-13 22:03:48 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 34.

Thanks for taking care of it!

Comment 9 Fedora Update System 2020-11-19 01:28:49 UTC
FEDORA-2020-7064f058c4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.